Inbox summary
GET
/inbox/summary
const url = 'https://postflow.biz.id/api/v1/inbox/summary';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://postflow.biz.id/api/v1/inbox/summary \ --header 'Authorization: Bearer <token>'Open comment and message counts, and each inbox account’s sync state.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
open
required
Comments waiting for an answer.
integer
openMessages
required
Conversations waiting for an answer.
integer
accounts
required
Array<object>
object
id
required
string
platform
required
string
name
required
string
messaging
required
ok = can read and answer DMs.
string
Example
{ "accounts": [ { "platform": "facebook", "messaging": "ok" } ]}Missing, invalid, expired or deleted key or token.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
A sentence you can show to a person.
string
details
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}More than 120 requests in a minute with this key.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
A sentence you can show to a person.
string
details
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}